petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetMaxNonlinearStepFailures

Sets the maximum number of unsuccessful steps attempted by the nonlinear solver before it gives up.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetMaxNonlinearStepFailures(SNES snes, PetscInt maxFails)

Not Collective Many br

### Input Parameters

| snes | - SNES context Many br
| maxFails | - maximum of unsuccessful steps Many br

Many br

### Keywords

SNES, nonlinear, set, maximum, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(),
SNESGetMaxNonlinearStepFailures(), SNESGetNonlinearStepFailures() Many br

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages